class RotatingSquare extends Shape
{
  // This is aspecial only for this sub class
  // which is initialized when the object is created.
  // The value is either true or false.
  boolean rotateFactor = (millis() %2 == 0);
  
  void draw( )
  {
    fill( col );
    pushMatrix( );
      translate( x, y );
      if (rotateFactor == true )
      {
         rotate( radians(frameCount) );
      }
      else
      {
         rotate (  radians(-frameCount) );
      }
      rect( 0, 0, edge, edge );
    popMatrix( );   
  } 
}
